• Close
  • Back to search

    Squiggle 1.7 SVG Browser Java Code Execution

    This module abuses the SVG support to execute Java Code in the Squiggle Browser included in the Batik framework 1.7 through a crafted SVG file referencing a jar file. In order to gain arbitrary code execution, the browser must meet the following conditions: (1) It must support at least SVG version 1.1 or newer, (2) It must support Java code and (3) The "Enforce secure scripting" check must be disabled. The module has been tested against Windows and Linux platforms.

    Free Metasploit Download

    Get your copy of the world's leading penetration testing tool

     Download Now

    Module Name

    exploit/multi/misc/batik_svg_java

    Authors

    • Nicolas Gregoire
    • sinn3r <sinn3r [at] metasploit.com>
    • juan vazquez <juan.vazquez [at] metasploit.com>

    References

    Targets

    • Generic (Java Payload)
    • Windows Universal
    • Linux x86

    Platforms

    • java
    • linux
    • windows

    Architectures

    • java
    • x86

    Reliability

    Development

    Module Options

    To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

    msf > use exploit/multi/misc/batik_svg_java msf exploit(batik_svg_java) > show targets ...targets... msf exploit(batik_svg_java) > set TARGET <target-id> msf exploit(batik_svg_java) > show options ...show and set options... msf exploit(batik_svg_java) > exploit